Package com.xebialabs.xlrelease.api.v1.forms

# Class CreateDelivery

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.CreateDelivery

All Implemented Interfaces:
  `Serializable`

public class CreateDelivery extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Date`
  `endDate`
  `protected Date`
  `startDate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateDelivery()`
  `CreateDelivery(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `int`
  `getDuration()`
  `Date`
  `getEndDate()`
  `String`
  `getFolderId()`
  `Date`
  `getStartDate()`
  `String`
  `getTitle()`
  `boolean`
  `isAutoComplete()`
  `void`
  `setAutoComplete(boolean autoComplete)`
  `void`
  `setDescription(String description)`
  `void`
  `setDuration(int duration)`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setFolderId(String folderId)`
  `void`
  `setStartDate(Date startDate)`
  `void`
  `setTitle(String title)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startDate

    protected Date startDate

  - ### endDate

    protected Date endDate

- ## Constructor Details

  - ### CreateDelivery

    public CreateDelivery()

  - ### CreateDelivery

    public CreateDelivery(String title)

- ## Method Details

  - ### getFolderId

    public String getFolderId()

  - ### setFolderId

    public void setFolderId(String folderId)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getDuration

    public int getDuration()

  - ### setDuration

    public void setDuration(int duration)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)

  - ### isAutoComplete

    public boolean isAutoComplete()

  - ### setAutoComplete

    public void setAutoComplete(boolean autoComplete)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`